def print_grid(grid: list[list[str]]) -> None:
    print("\033c", end="", flush=True)
    print('-' * (len(grid[0]) + 2))
    for row in grid:
        print('|' + ''.join(['█' if x == 'W' else x for x in row]) + '|')
    print('-' * (len(grid[0]) + 2))
